#panel {
  height: 100%;
  overflow: auto;
  min-width: 20rem;
}

#content {
  background: var(--bkg-color);
  padding: 1.5rem;
  margin: 0;
}

#content .message {
  text-align: center;
  width: 100%;
}

#content .message * {
  margin: 0.25rem;
}

#content div.option {
  margin-top: 0.5rem;
  display: flex;
  justify-content: space-between;
}

/* Tables */
.scrollable-table-container {
  width: 100%;
  max-height: 200px;
  overflow-y: auto;
  display: block;
}

.scrollable-table {
  width: 100%;
  border-collapse: collapse;
}

.table-cell {
  border: none;
  padding: 4px 2px;
}

.sticky-header {
  position: sticky;
  top: 0;
  z-index: 1;
  background-color: #f1f1f1;
  padding: 5px 2px;
  border: none;
}

.cell {
  flex: 1 1 100px; /* Flex-grow: 1, Flex-shrink: 1, Flex-basis: 100px (minimum width) */
  min-width: 100px; /* Ensures a minimum width for buttons */
  max-width: 100%; /* Prevents the button from exceeding the container's width */
}

input {
  background-color: var(--bkg-color);
  color: var(--text-color);
  border-radius: 3px;
  outline: 0;
  border: solid 1px var(--text-color);
}

/* Buttons */
.btn-group {
  margin: 5px 0;
}

.btn-group-flex {
  display: flex;
  flex-direction: row;
  gap: 0.5rem;
  margin: 0.5rem auto;
}

.btn-group-flex > button,
.btn-group-flex > select,
.btn-group-flex > input {
  flex: 50%;
}
.btn-group-flex > label {
  flex: 50%;
  text-align: right;
}

.btn-group-flex label:after {
  content: ' :';
}

.btn-group-inline {
  display: inline;
  gap: 5px;
  margin: 10px auto;
}

.btn-group-grid {
  display: grid;
  gap: 5px;
  margin: 10px auto;
}

.reset-btn {
  width: 22px;
  background-color: var(--bkg-color);
  color: var(--text-color);
  border: none;
  border-radius: 50%;
  padding: 0px;
  margin: 2px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.reset-btn img {
  object-fit: contain;
}

.reset-btn:hover {
  background-color: var(--bkg-color-grad1);
  cursor: pointer;
}

.action-btn {
  color: white;
  background-color: none;
  border-radius: 50%;
  padding: 2px;
  margin: 2px;
}

.action-btn:hover {
  background-color: var(--bkg-color-grad1);
  border-radius: 50%;
  cursor: pointer;
}
